# Copyright Jeron Lau 2018-2019.
# Copyright Dylan Ede 2016.
# Dual-licensed under either the MIT License or the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at https://www.boost.org/LICENSE_1_0.txt)

# XXXX  X                    /5\——————/5\       XXXX      X           X
# X   X X   XXX   XXXX      |   0    0   |     X      XXX   XXXX XXXX X X   X
# X   X X  X   X  X   X  /"\|     <>     |/"\  X      X   X    X    X X X   X
# XXXX  X  X   X  X   X  \  \\_  ====  _//  /  X   XX X   X   X    X  X  X X
# X     X  X   X  XXXX    \_              _/   X    X X   X  X    X   X   X
# X     X   XXX   X       / \            / \    XXXX  X   X XXXX XXXX X   X
#                 X       \                /                            XX
#                          --____________--

[package]
name = "fonterator"
version = "0.3.0"
authors = [
	"Jeron Lau <jeron.lau@plopgrizzly.com>"
]
edition = "2018"

license = "MIT / BSL-1.0"
documentation = "https://docs.rs/fonterator"
homepage = "https://free.plopgrizzly.com/fonterator"
repository = "https://github.com/plopgrizzly/fonterator"

readme = "README.md"
description = "Load fonts as vector graphics in pure Rust."
keywords = ["font", "truetype", "opentype", "ttf", "otf"]
categories = ["gui", "rendering"]

exclude = [
	"examples/*", "CODE_OF_CONDUCT.md", "CONTRIBUTING.md", ".gitignore",
	"_config.yml", "ISSUE_TEMPLATE.md", "icon.png", "icon.ico", "font/*"
]

[dependencies]
footile = { path = "../footile" } # "0.2"
byteorder = "1.2"
unicode-normalization = "0.1"
unicode-width = "0.1"

[dev-dependencies]
svg = "^0.5"

[features]
default = ["builtin-font"]
builtin-font = []
